## [1.0.0-beta35] - 2024-03-20
### Added
**Features**

    * Removed Android ID from ad requests.

## [1.0.0-beta34] - 2023-11-08
### Added
**Features**

    * Added support for Android 13 devices for apps targeting API 33.
    * Added fail-safe mechanism to avoid crash on receiving invalid response.

**Bug Fix**

    * Fixed the crash due to race condition in multi threading environment while upgrading the SDK.
    * Fixed discrepancy in impression numbers for banner ads for AdMob and Google Ad Manager third party network. 


## [1.0.0-beta33] - 2023-08-22
### Added
**Features**

    * Support to send all user signals related to GDPR and CCPA consent via single API and deprecated other flows.
    * Added Constants to be used as keys while setting consent and extras
        Constants:
            * MesonConstants.CONSENT_GDPR_PUB
            * MesonConstants.CONSENT_GDPR_CONSENT
            * MesonConstants.CONSENT_GDPR
        APIs:
            * MesonSdk.setConsent(consentObject: JSONObject?)
            * MesonSdk.getConsent(): JSONObject?

**Bug Fix**

    * Fixed the crash related to adding the new passive bidder network.

### Deprecated
**Features**

    * Deprecated the flow to set CCPA user signals via setExtras API and the following constants and APIs.
        Constants:
            * MesonSdk.MES_GDPR_CONSENT_AVAILABLE - Replace with MesonConstants.CONSENT_GDPR_PUB
            * MesonSdk.MES_GDPR_CONSENT_IAB - Replace with MesonConstants.CONSENT_GDPR_CONSENT
            * MesonSdk.MES_GDPR_CONSENT_GDPR_APPLIES - Replace with MesonConstants.CONSENT_GDPR
        APIs:
            * MesonSdk.updateGDPRConsent(JSONObject) - Replace with MesonSdk.setConsent(JSONObject)
            * MesonSdkConfiguration.Builder.setConsent(consent: JSONObject?)- This will be removed in future version.
            * MesonSdkConfiguration.Builder.setBuildType(buildType: BaseMesonInit.MesonBuildType) - This will be removed in future version.


## [1.0.0-beta32] - 2023-07-27
### Added
**Bug Fix**

    * Provided the support of transitive dependency of OMSDK for maven central
    * Included the OMSDK proguard rules in Meson's consumer-proguard-rules.pro file


## [1.0.0-beta31] - 2023-07-21
### Added
**Features**

    * Support for custom opening modes for performance campaigns on locked state of phone


## [1.0.0-beta30] - 2023-06-27
### Added
**Features**

    * Refactored Third Party SDK Init flow.
    * Added clarity to Third Party Network SDK Initialization failure error messages.

## [1.0.0-beta29] - 2023-06-05
### Added
**Features**

    * Refactored SDK to signal config fetch as and when publisher configs are changed.

**Bug Fixes**

    * Fixed the logs to add decriptve dropReasons for ad lifecycle events.
    * Fixed the tight coupling of SDK-Adapter dependency resolution via mavenCentral. 

## [1.0.0-beta28] - 2023-05-12
### Added
**Features**

    * Refactored SDK Initialisation logic to accommodate the initialisation of the adapters along with SDK.

**Bug Fixes**

    * Fixed the issue of drop reasons not being populated for render loss events. 


## [1.0.0-beta27] - 2023-04-28
### Added
**Bug Fixes**

    * Fixed a crash related to inter-dependencies of modules in lower end devices in the process of desugaring 

## [1.0.0-beta25] - 2023-04-13
### Added
**Bug Fixes**

    * Fixed a crash that occurred while logging an error in Adapters 

## [1.0.0-beta24] - 2023-04-04
### Added
**Bug Fixes**

    *  Fixed a crash related to location listeners on Android API 29 and below.

## [1.0.0-beta23] - 2023-03-09
### Added
**Features**
    
    * APS Network Support added as a Header Bidder

## [1.0.0-beta22] - 2023-02-06
### Added
**Bug Fixes**

    * Fixed crash caused while initialising SDK.
    * Fixed the init and ad related listener scope issues.

## [1.0.0-beta20] - 2022-12-20
### Added
**Features**

- New API ```MesonSdk.presentTestSuite()``` added
- Support for Meson TestSuite
- Trackers added and optimized
- Waterfall optimization

## [1.0.0-beta19] - 2022-12-08
### Added
**Features**

    * Improved Logging.

**Bug Fixes**

    * Fixed XMLInflation crash caused by native.


## [1.0.0-beta18] - 2022-11-24
### Added
**Features**

    * Added Consumer proguard as part of the meson library.

**Bug Fixes**

    * Fixed IllegalStateException crash caused by co-routine.


## [1.0.0-beta17] - 2022-10-25
### Added
**Features**

    * Improved adapter error reporting

**Bug Fixes**

    * Fixed HB token issues
    * Fixed config refresh issues
    * Fixed adapter init issues
    * Fixed minor issues on s2s rendering
    * Fixed NPE on init flow


## [1.0.0-beta16] - 2022-08-03
### Added
**Bug Fixes**

    * Fixed IllegalArgumentException for unbinding the service twice.  
    * Fix for memory leak in CustomTabsHelper.
    * set WebView background to transparent for s2s Ads.


## [1.0.0-beta15] - 2022-07-29
### Added
**Features**

    * Rendering support for Interstitial and Rewarded Ads.

**Bug Fixes**

    * callback when CCT opens the landingPage
    * Fix to handle banner refresh w.r.t ad lifecyle

## [1.0.0-beta14] - 2022-07-07
### Added
**Bug Fixes**

    * Fixed MesonAdData api naming issue

## [1.0.0-beta13] - 2022-06-30
### Added 
**Features**

    * MesonAdData added for Banner, Interstitial and Rewarded Video
    * API Changes for impression callback
        fun onAdImpression(bannerAd: MesonBanner, mesonAdData: MesonAdData?)
        fun onAdImpression(interstitialAd: MesonInterstitial, mesonAdData: MesonAdData?)
        fun onAdImpression(rewardedAd: MesonInterstitial, mesonAdData: MesonAdData?)

**Bug Fixes**

    * Fixed height and width issue for Interstitial ads
    * Banner performance improvement


## [1.0.0-beta11] - 2022-05-17
###Added
**Features**

    * Added support for rendering Native Ad format

**Bug Fixes**

    * Enhanced Debug logging
    * Fixed Render Timeout Issue
    * Fixed issue in setting PPID using setPPID() method 
    * Memory leak fixes for Vungle and Unity Adapter


## [1.0.0-beta10] - 2022-05-06
###Added
**BugFix**

    * Updated Meson to support the crash fix related to NullPointerException in core module.


## [1.0.0-beta8] - 2022-03-24
###Added
**Features**

    * Support for Banner Animation

**BugFixes**

    * Fix for deleting the auto-backed up shared prefs
    * Fix for a Banner xml Integration crash
    * Refactored Adapter package path to include network names


## [1.0.0-beta7] - 2021-12-14
###Added
**Features**

    * Support for Custom Adapters
    * Support for 3rd party mediated SDKs
        1. Meta Audience Network
        2. Vungle


## [1.0.0-beta6] - 2021-11-25
### Added
**Features**

    * Support for Impression-Level Revenue Data (ILRD)
    * Added Analytics events.


## [1.0.0-beta2] - 2021-11-16
###Added
**Features**

	* Added support for ad formats
		1. Banner
		2. Interstitial
		3. Rewarded Video
		4. Native (China only)
		5. Splash (China only)
	* Ability for the SDK to manage waterfall
	* Ability to manage Ad Lifecycle
